Name:		marave
Version:	0.7
Release:	%mkrel 10
Summary:	A text editor that helps you focus on writing
Group:		Editors
License:	GPLv2
URL:		http://code.google.com/p/marave/
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python-setuptools
BuildRequires:	python-enchant
BuildRequires:	python-qt4-devel
BuildRequires:	python-qt4-phonon
BuildRequires:	enchant-devel

Requires:	enchant
Requires:	python-qt4


%description
Marave is a text editor whose goal is to help you focus on writing
It's inspired by Ommwriter, Darkroom and many other "simple" text
editors, with a few twists.

%prep
%setup -q 

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Marave
MimeType=text/plain;
GenericName=Marave
Comment=Text Editor
Exec=marave-editor
Icon=%{python2_sitelib}/marave/icons/marave.svg
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;Utility;TextEditor;
EOF

%files
%doc LICENSE README
%{_bindir}/marave-editor
%{_datadir}/applications/%{name}.desktop
%{python2_sitelib}/Marave-0.7-py*.egg-info
%{python2_sitelib}/%{name}/Ui_prefs.py*
%{python2_sitelib}/%{name}/__init__.py*
%{python2_sitelib}/%{name}/backgrounds/*
%{python2_sitelib}/%{name}/clicks/*
%{python2_sitelib}/%{name}/editor/*
%{python2_sitelib}/%{name}/icons/*
%{python2_sitelib}/%{name}/icons_rc.py*
%{python2_sitelib}/%{name}/main.py*
%{python2_sitelib}/%{name}/plugins/*
%{python2_sitelib}/%{name}/radios.txt
%{python2_sitelib}/%{name}/stylesheets/*
%{python2_sitelib}/%{name}/themes/*
%{python2_sitelib}/%{name}/translations/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.7-10.mga6
+ Revision: 972080
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.7-9.mga6
+ Revision: 895220
- make it noarch thus fixing empty debuginfo
- use new python macros
- fix Icon and Exec path from desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.7-8.mga5
+ Revision: 748726
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-7.mga5
+ Revision: 727153
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-6.mga5
+ Revision: 682166
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7-5.mga5
+ Revision: 628323
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7-4.mga4
+ Revision: 544916
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-3.mga4
+ Revision: 500480
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 359411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 16 2011 juancho <juancho> 0.7-1.mga2
+ Revision: 144139
- Removed Version tag from desktop file, is optional and contained a wrong value.
- Fixed Categories on desktop file.
- Changed comment in desktop file to english.
- Removed BuildArch and fixed enchant-devel BuildRequires.

  + vaci0 <vaci0>
    - Fixed %%files section
    - Fixed %%description
    - Fix %%doc section
    - Fix %%clean section
    - imported package marave

